#
# THIS IS A SAMPLE CONFIGURATION FOR SMS KANNEL
#
# This second/other SMS Kannel configuration is meant to be used
# together with original gw/smskannel.conf, to test out Kannel as 
# HTTP SMSC. 
#
# The entire system is run like this
#
#  1% gw/bearerbox gw/smskannel.conf
#  2% gw/smsbox gw/smskannel.conf
#  1% gw/bearerbox gw/other_smskannel.conf
#  2% gw/smsbox gw/other_smskannel.conf
#  3% test/fakesmsc -p 10000 -H localhost -i 1 -m 100 "100 300 text relay nop"
#
# ..all 3 commands in separate shells (or screen sessions)
#
# For any modifications to this file, see Kannel User Guide 
# If that does not help, send email to users@kannel.org
#
#   Kalle Marjola Mar 2001
#

group = core
admin-port = 15000
smsbox-port = 15001
admin-password = bar
#status-password = foo
#admin-deny-ip = ""
#admin-allow-ip = ""
#log-file = "/tmp/bearerbox2.log"
#log-level = 0
box-deny-ip = "*.*.*.*"
box-allow-ip = "127.0.0.1"
#unified-prefix = "+358,00358,0;+,00"
#access-log = "/tmp/access2.log"
#store-file = "/tmp/kannel2.store"
#ssl-server-cert-file = "cert.pem"
#ssl-server-key-file = "key.pem"
#ssl-certkey-file = "mycertandprivkeyfile.pem"

# SMSC CONNECTIONS

group = smsc
smsc = http
system-type = kannel
port = 15130
#connect-allow-ip = "127.0.0.1"
smsc-username = tester
smsc-password = foobar
send-url = "http://localhost:13013/cgi-bin/sendsms"

# SMSBOX SETUP

group = smsbox
bearerbox-host = localhost
sendsms-port = 15015
global-sender = 15015
#sendsms-chars = "0123456789 +-"
#log-file = "/tmp/smsbox2.log"
#log-level = 0
#access-log = "/tmp/access2.log"

# SEND-SMS USERS

group = sendsms-user
username = tester
password = foobar
#user-deny-ip = ""
#user-allow-ip = ""

# SERVICES

group = sms-service
keyword = nop
text = "You asked nothing and I did it!"

# there should be default always

group = sms-service
keyword = default
text = "No service specified"

